package com.gx.obe.http.converter;

import java.util.concurrent.atomic.AtomicBoolean;

import com.gx.obe.http.util.BooleanUtil;

/**  
 * @Title:  AtomicBooleanConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    AtomicBoolean  转换器
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午6:20:59   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class AtomicBooleanConverter extends AbstractConverter<AtomicBoolean> {

	@Override
	protected AtomicBoolean convertInternal(Object value) {
		if (boolean.class == value.getClass()) {
			return new AtomicBoolean((boolean) value);
		}
		if (value instanceof Boolean) {
			return new AtomicBoolean((Boolean) value);
		}
		final String valueStr = convertToStr(value);
		return new AtomicBoolean(BooleanUtil.toBoolean(valueStr));
	}

}
