package com.gx.obe.http.converter;

import java.lang.reflect.Type;
import java.util.concurrent.atomic.AtomicReference;

import com.gx.obe.http.util.ConverterRegistry;
import com.gx.obe.http.util.TypeUtil;


/**  
 * @Title:  AtomicReferenceConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:   AtomicReference 转换器
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:05:55   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
@SuppressWarnings("rawtypes")
public class AtomicReferenceConverter extends AbstractConverter<AtomicReference> {
	
	@Override
	protected AtomicReference<?> convertInternal(Object value) {
		
		//尝试将值转换为Reference泛型的类型
		Object targetValue = null;
		final Type paramType = TypeUtil.getTypeArgument(AtomicReference.class);
		if(!TypeUtil.isUnknow(paramType)){
			targetValue = ConverterRegistry.getInstance().convert(paramType, value);
		}
		if(null == targetValue){
			targetValue = value;
		}
		
		return new AtomicReference<>(targetValue);
	}

}