package com.gx.obe.http.converter;

import com.gx.obe.http.util.BooleanUtil;
import com.gx.obe.http.util.StrUtil;

/**  
 * @Title:  CharacterConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:     字符转换器  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午6:19:25   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class CharacterConverter extends AbstractConverter<Character> {

	@Override
	protected Character convertInternal(Object value) {
		if (char.class == value.getClass()) {
			return Character.valueOf((char) value);
		} else if (value instanceof Boolean) {
			return BooleanUtil.toCharacter((Boolean) value);
		} else if (boolean.class == value.getClass()) {
			return BooleanUtil.toCharacter((boolean) value);
		} else {
			final String valueStr = convertToStr(value);
			if (StrUtil.isNotBlank(valueStr)) {
				return Character.valueOf(valueStr.charAt(0));
			}
		}
		return null;
	}

}
