package com.gx.obe.http.converter;

/**  
 * @Title:  GenericEnumConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    泛型枚举转换器   枚举类类型
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午2:46:39   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class GenericEnumConverter<E extends Enum<E>> extends AbstractConverter<E> {

	private Class<E> enumClass;
	
	/**
	 * 构造
	 * 
	 * @param enumClass 转换成的目标Enum类
	 */
	public GenericEnumConverter(Class<E> enumClass) {
		this.enumClass = enumClass;
	}

	@Override
	protected E convertInternal(Object value) {
		return Enum.valueOf(enumClass, convertToStr(value));
	}

	@Override
	public Class<E> getTargetType() {
		return this.enumClass;
	}
}
