package com.gx.obe.http.converter;

import java.util.Locale;

import com.gx.obe.http.util.StrUtil;

 
/**  
 * @Title:  LocaleConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:   
 * Locale对象转换器<br>
 * 只提供String转换支持 
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:09:11   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class LocaleConverter extends AbstractConverter<Locale> {

	@Override
	protected Locale convertInternal(Object value) {
		try {
			String str = convertToStr(value);
			if (StrUtil.isEmpty(str)) {
				return null;
			}

			final String[] items = str.split("_");
			if (items.length == 1) {
				return new Locale(items[0]);
			}
			if (items.length == 2) {
				return new Locale(items[0], items[1]);
			}
			return new Locale(items[0], items[1], items[2]);
		} catch (Exception e) {
			// Ignore Exception
		}
		return null;
	}

}
