package com.gx.obe.http.converter;

import java.io.File;
import java.net.URI;
import java.net.URL;

 
/**  
 * @Title:  URIConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    URI对象转换器
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午6:23:14   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class URIConverter extends AbstractConverter<URI>{

	@Override
	protected URI convertInternal(Object value) {
		try {
			if(value instanceof File){
				return ((File)value).toURI();
			}
			
			if(value instanceof URL){
				return ((URL)value).toURI();
			}
			return new URI(convertToStr(value));
		} catch (Exception e) {
			// Ignore Exception
		}
		return null;
	}

}
