package com.gx.obe.http.converter;

import java.io.File;
import java.net.URI;
import java.net.URL;

/**  
 * @Title:  URLConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:   URL对象转换器  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午6:23:56   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class URLConverter extends AbstractConverter<URL>{

	@Override
	protected URL convertInternal(Object value) {
		try {
			if(value instanceof File){
				return ((File)value).toURI().toURL();
			}
			
			if(value instanceof URI){
				return ((URI)value).toURL();
			}
			return new URL(convertToStr(value));
		} catch (Exception e) {
			// Ignore Exception
		}
		return null;
	}

}
