package com.gx.obe.http.entity;


import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.apache.commons.beanutils.ConvertUtils;

/** 
 * @Description: 
 * @author mazc 
 */
public class ConvertUtil {
	 
    /**
                   *    日期类型的转换
     */
	private static SimpleDateFormat simpleDateFormate = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	
	public static<T> T getValue(String value,String fieldName,Class<T> clazz){
	
		// 如果获取参数值为null,则返回null
		if (value == null) { 
			return null;
		// 如果获取参数值不为"",则通过convertGt方法进行类型转换后返回结果
		} else if (!"".equals(value)) {
			return convertGt(value, clazz);
		// 如果获取参数值为""
		} else if (clazz.getName().equals(String.class.getName())) {
			return convertGt(value, clazz);
		// 如果获取参数值为"",并且clazz不是是String类型,则返回null
		} else {
			return null;
		}
	}
	
	/**
	 * @param <T>
	 * @param value
	 * @param clazz
	 * @return
	 */
	@SuppressWarnings("unchecked")
	public static <T> T convertGt(String value, Class<T> clazz) {
		// 如果值为null,则返回null
		if (value == null) { 
			return null;
		// 如果value值为"",而且要转为的类型不是string类型，那么就统一返回null，也就是空字符串不能转成任何其他类型的实体，只能返回null
		} else if (value.equals("") && !clazz.getName().equals(String.class.getName())) {
			return null;
			// 增加对从String类型到Date
		} else if (Date.class.getName().equalsIgnoreCase(clazz.getName())) { 
			return (T) convertSTD(value);
		}
		return (T) ConvertUtils.convert(value, clazz);
	}


	
	public static Date convertSTD(String date){
		if(null == date) {
			return null;
		}
		try {
			return simpleDateFormate.parse(date);
		} catch (ParseException e) {
			try {
				Date datetemp = new Date(Long.valueOf(date));
				return simpleDateFormate.parse(simpleDateFormate.format(datetemp));
			} catch (ParseException e1) {
 				e1.printStackTrace();
			}
		}
		return null;
	}
	
	public static synchronized String convertDTS(Date date){
		return simpleDateFormate.format(date);
	}
	
}
