package com.gx.obe.http.exception;

import com.gx.obe.http.util.StrUtil;

/**  
 * @Title:  JSONException.java   
 * @Package com.gx.obe.http.exception   
 * @Description:    JSON异常  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午4:36:25   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class JSONException extends RuntimeException {
	private static final long serialVersionUID = 0;
	
	public JSONException(Throwable e) {
		super(e.getMessage(), e);
	}

	public JSONException(String message) {
		super(message);
	}
	
	public JSONException(String messageTemplate, Object... params) {
		super(StrUtil.format(messageTemplate, params));
	}

	public JSONException(String message, Throwable cause) {
		super(message, cause);
	}

	public JSONException(Throwable throwable, String messageTemplate, Object... params) {
		super(StrUtil.format(messageTemplate, params), throwable);
	}
}
