package com.gx.obe.http.util;

 
/**  
 * @Title:  ASCIIStrCache.java   
 * @Package com.gx.obe.http.util   
 * @Description:    ASCII字符对应的字符串缓存  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午1:49:17   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class ASCIIStrCache {
	
	private static final int ASCII_LENGTH = 128;
	private static final String[] CACHE = new String[ASCII_LENGTH];
	static {
		for (char c = 0; c < ASCII_LENGTH; c++) {
			CACHE[c] = String.valueOf(c);
		}
	}

	/**
	 * 字符转为字符串<br>
	 * 如果为ASCII字符，使用缓存
	 * 
	 * @param c 字符
	 * @return 字符串
	 */
	public static String toString(char c) {
		return c < ASCII_LENGTH ? CACHE[c] : String.valueOf(c);
	}
}

