package com.gx.obe.http.util;

import java.util.Locale;
import java.util.TimeZone;

/**  
 * @Title:  DateBasic.java   
 * @Package com.gx.obe.http.util   
 * @Description:    日期基本信息获取接口 
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午6:27:55   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public interface DateBasic {
	/**
	 * 获得日期格式化或者转换的格式
	 * 
	 * @return {@link java.text.SimpleDateFormat}兼容的格式
	 */
	String getPattern();

	/**
	 * 获得时区
	 * 
	 * @return {@link TimeZone}
	 */
	TimeZone getTimeZone();

	/**
	 * 获得 日期地理位置
	 * 
	 * @return {@link Locale}
	 */
	Locale getLocale();
}

