package com.gx.obe.http.util;

/**  
 * @Title:  Editor.java   
 * @Package com.gx.obe.http.util   
 * @Description: 编辑器接口，常用于对于集合中的元素做统一编辑  此编辑器两个作用： 
 * 1、如果返回值为<code>null</code>，表示此值被抛弃 
 * 2、对对象做修改
 *  被编辑对象类型
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午1:53:29   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public interface Editor<T> {
	/**
	 * 修改过滤后的结果
	 * 
	 * @param t 被过滤的对象
	 * @return 修改后的对象，如果被过滤返回<code>null</code>
	 */
	public T edit(T t);
}
