package com.gx.obe.http.util;

import java.util.Enumeration;
import java.util.Iterator;


/**  
 * @Title:  EnumerationIter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    Enumeration对象转 Iterator对象
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午2:24:40   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class EnumerationIter<E> implements Iterator<E>, Iterable<E>{
	
	private final Enumeration<E> e;
	
	/**
	 * 构造
	 * @param enumeration Enumeration对象
	 */
	public EnumerationIter(Enumeration<E> enumeration) {
		this.e = enumeration;
	}

	@Override
	public boolean hasNext() {
		return e.hasMoreElements();
	}

	@Override
	public E next() {
		return e.nextElement();
	}

	@Override
	public void remove() {
		throw new UnsupportedOperationException();
	}

	@Override
	public Iterator<E> iterator() {
		return this;
	}

}
