package com.gx.obe.http.util;


/**  
 * @Title:  afa.java   
 * @Package com.gx.obe.http.util   
 * @Description:    
 * 换行符枚举<br>
 * 换行符包括：
 * <pre>
 * Mac系统换行符："\r"
 * Linux系统换行符："\n"
 * Windows系统换行符："\r\n" 
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午4:22:08   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public enum LineSeparator {
	/** Mac系统换行符："\r" */
	MAC("\r"),
	/** Linux系统换行符："\n" */
	LINUX("\n"), 
	/** Windows系统换行符："\r\n" */
	WINDOWS("\r\n");

	private String value;

	private LineSeparator(String lineSeparator) {
		this.value = lineSeparator;
	}

	public String getValue() {
		return this.value;
	}
}
