package com.gx.obe.http.util;

import java.io.File;
import java.net.URI;
import java.net.URL;
import java.nio.file.Path;
import java.nio.file.Paths;

import com.gx.obe.http.converter.AbstractConverter;

/**  
 * @Title:  PathConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:    字符串转换器  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:10:39   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class PathConverter extends AbstractConverter<Path>{

	@Override
	protected Path convertInternal(Object value) {
		try {
			if(value instanceof URI){
				return Paths.get((URI)value);
			}
			
			if(value instanceof URL){
				return Paths.get(((URL)value).toURI());
			}
			
			if(value instanceof File){
				return ((File)value).toPath();
			}
			
			return Paths.get(convertToStr(value));
		} catch (Exception e) {
			// Ignore Exception
		}
		return null;
	}

}
