package com.gx.obe.http.util;

import java.util.Map;

import com.gx.obe.http.converter.AbstractConverter;
 
/**  
 * @Title:  StackTraceElementConverter.java   
 * @Package com.gx.obe.http.util   
 * @Description:   
 * StackTraceElement转换器<br>
 * 	只支持Map方式转换  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午7:12:36   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public class StackTraceElementConverter extends AbstractConverter<StackTraceElement> {

	@Override
	protected StackTraceElement convertInternal(Object value) {
		if (value instanceof Map) {
			final Map<?, ?> map = (Map<?, ?>) value;

			final String declaringClass = MapUtil.getStr(map, "className");
			final String methodName = MapUtil.getStr(map, "methodName");
			final String fileName = MapUtil.getStr(map, "fileName");
			final Integer lineNumber = MapUtil.getInt(map, "lineNumber");

			return new StackTraceElement(declaringClass, methodName, fileName, ObjectUtil.defaultIfNull(lineNumber, 0));
		}
		return null;
	}

}
