package com.gx.obe.http.util;

import java.lang.reflect.Type;

/** 
 * @Description:  Type类型参考通过构建一个类型参考子类，可以获取其泛型参数中的Type类型  
 * @author mazc
 * @param <T> 
 */
public abstract class TypeReference<T> implements Type {

	/** 泛型参数 */
	private final Type type;

	/**
	 * 构造
	 */
	public TypeReference() {
		this.type = TypeUtil.getTypeArgument(getClass());
	}

	/**
	 * 获取用户定义的泛型参数
	 * 
	 * @return 泛型参数
	 */
	public Type getType() {
		return this.type;
	}
}
