package com.gx.obe.http.util;


import java.nio.file.Path;
import java.nio.file.WatchEvent;

/**  
 * @Title:  Watcher.java   
 * @Package com.gx.obe.http.util   
 * @Description:    监视器  
 * @author: XiaoMaPro     
 * @date:   2019年4月26日 下午4:31:08   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public interface Watcher {
	/**
	 * 文件创建时执行的方法
	 * @param event 事件
	 * @param currentPath 事件发生的当前Path路径
	 */
	public void onCreate(WatchEvent<?> event, Path currentPath);
	
	/**
	 * 文件修改时执行的方法<br>
	 * 文件修改可能触发多次
	 * @param event 事件
	 * @param currentPath 事件发生的当前Path路径
	 */
	public void onModify(WatchEvent<?> event, Path currentPath);
	
	/**
	 * 文件删除时执行的方法
	 * @param event 事件
	 * @param currentPath 事件发生的当前Path路径
	 */
	public void onDelete(WatchEvent<?> event, Path currentPath);
	
	/**
	 * 事件丢失或出错时执行的方法
	 * @param event 事件
	 * @param currentPath 事件发生的当前Path路径
	 */
	public void onOverflow(WatchEvent<?> event, Path currentPath);
}
