package com.gx.obe.http.util;

import java.lang.reflect.Field;


/** 
 * @Description: 反射工具类
 * @author mazc
 * @param <T> 
 */
public class WebReflecUtill<T> {

	/**
	 * @Description:  利用java的泛型与反射动态更新
	 * @author mazc
	 * @param object
	 * @param attributes
	 * @param a
	 * @return
	 * @throws InstantiationException
	 * @throws IllegalAccessException
	 * @throws SecurityException 
	 */
	public  T reflex( T object ,String [] attributes ,Class<T> a )  {
		T ruleEntity = null;
		try {
			ruleEntity = a.newInstance();
		} catch (Exception e1) {
			System.out.println(e1.getMessage());
			return null;
		} 
		for(String str : attributes){
			Field getField = null;
			try {
				getField = object.getClass().getDeclaredField(str); 
				getField.setAccessible(true);
				Class c = ruleEntity.getClass();
				Field setField = c.getDeclaredField(str);
				setField.setAccessible(true);
				setField.set(ruleEntity, getField.get(object));
			} catch (NoSuchFieldException e) {
				System.out.println(e.getMessage());
				continue;
			} catch (IllegalArgumentException e) {
				System.out.println(e.getMessage());
				continue;
			} catch (IllegalAccessException e) {
				System.out.println(e.getMessage());
				continue;
			}
		}
		return ruleEntity;
	}
}
